Package com.enonic.xp.page

## Class Page

- java.lang.Object
- - com.enonic.xp.page.Page

-     @PublicApi
      public final class Page
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Page.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Page` | `copy()` |
    `static Page.Builder` | `create()` |
    `static Page.Builder` | `create​(Page source)` |
    `boolean` | `equals​(Object o)` |
    `Component` | `getComponent​(ComponentPath path)` |
    `PropertyTree` | `getConfig()` |
    `DescriptorKey` | `getDescriptor()` |
    `Component` | `getFragment()` |
    `Region` | `getRegion​(String name)` |
    `PageRegions` | `getRegions()` |
    `PageTemplateKey` | `getTemplate()` |
    `boolean` | `hasConfig()` |
    `boolean` | `hasDescriptor()` |
    `int` | `hashCode()` |
    `boolean` | `hasRegions()` |
    `boolean` | `hasTemplate()` |
    `boolean` | `isCustomized()` |
    `boolean` | `isFragment()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### hasDescriptor

          public boolean hasDescriptor()

    - #### getDescriptor

          public DescriptorKey getDescriptor()

    - #### hasTemplate

          public boolean hasTemplate()

    - #### getTemplate

          public PageTemplateKey getTemplate()

    - #### hasRegions

          public boolean hasRegions()

    - #### getRegion

          public Region getRegion​(String name)

    - #### getRegions

          public PageRegions getRegions()

    - #### hasConfig

          public boolean hasConfig()

    - #### getConfig

          public PropertyTree getConfig()

    - #### getComponent

          public Component getComponent​(ComponentPath path)

    - #### isCustomized

          public boolean isCustomized()

    - #### getFragment

          public Component getFragment()

    - #### isFragment

          public boolean isFragment()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### create

          public static Page.Builder create()

    - #### create

          public static Page.Builder create​(Page source)

    - #### copy

          public Page copy()